<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <title>An Intro To Haskell | Assignments</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="This is a course page for Haskell, a course given at the Utrecht University.">
    <link rel="stylesheet" href="../css/style.css">
    <link rel="icon" href="../img/icon.png">
</head>

<body>
    <header>
        An Intro To Haskell
    </header>
    <nav>
        <label class="burger-icon" for="menu-toggle">&#9776;</label>
        <input type="checkbox" id="menu-toggle" />
        <ul class="menu">
            <li><a class="menu__item" href="../index.html">Home</a></li>
            <li><a class="menu__item" href="schedule.html">Schedule</a></li>
            <li><a class="menu__item" href="staff.html">Staff</a></li>
            <li><a class="menu__item current" href="assignments.html">Assignments</a></li>
            <li><a class="menu__item" href="about.html">About</a></li>
            <li><a class="menu__item" href="info.html">Info</a></li>
        </ul>
    </nav>
    <main>
        <div class="content">
            <div class="content__wrapper">
                <article class="preface">
                    <h1>
                        <strong>Assignments</strong>
                    </h1>
                    <p> On this page you will find the assignments for this course. </p>
                    <p> Consult the <a href="schedule.html">schedule</a> for the deadlines. </p>
                </article>
                <section>
                    <h2>
                        Assignment 1:
                    </h2>
                    <h4>Getting started</h4>
                    <p>
                        The purpose of this assignment is for you, the student, to get familiar with Haskell. We will start by combining different higher order functions. The assignment is split up into a bunch of small exercises in which you should fill in the missing higher
                        order function. Your choices include but are not limited to: map, fold, zip and filter. The type of the function for every given exercise will be filled in for you.
                    </p>
                    <p>
                        The deadline for Assignment 1 is 30/02/2020 at 23:59. Use the <a href="https://uu.blackboard.com" target="_blank">Blackboard course page</a> to submit the assignment.
                    </p>
                </section>
                <section>
                    <h2>
                        Assignment 2:
                    </h2>
                    <h4>Monads</h4>
                    <p>
                        Ever since Haskell has been becoming more popular amoung programmers because of it being purely functional. There has also been a rise of interest in making games that are purely functional. In this assignment, you will have to create your own monad with
                        the goal of making your own small game in Haskell. To accomplish this you should familiarise yourself with monads and type classes. You will have to work with the IO monad, so you have to create your own monad to keep parts of
                        your code purely functional.
                    </p>
                    <p>
                        The deadline for Assignment 1 is 14/03/2020 at 23:59. Use the <a href="https://uu.blackboard.com" target="_blank">Blackboard course page</a> to submit the assignment.
                    </p>
                </section>
                <section>
                    <h2>
                        Assignment 3:
                    </h2>
                    <h4>Final</h4>
                    <p>
                        In this assignment we will test all the skills you have obtained during this course. The goal of this assignment is to make your own 3D ray-tracer using all the Haskell concepts you have learned so far.
                    </p>
                    <p>
                        The deadline for Assignment 1 is 20/04/2020 at 23:59. Use the <a href="https://uu.blackboard.com" target="_blank">Blackboard course page</a> to submit the assignment.
                    </p>
                </section>
            </div>
        </div>
    </main>
    <script src="../js/selectMenu.js"></script>
</body>

</html>